<?php
/*
  osCommerce, Open Source E-Commerce Solutions 
http://www.oscommerce.com 

Copyright (c) 2003 osCommerce 

osCommRes, Services Online 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes 

Freeway eCommerce 
http://www.zac-ware.com/freeway 
Copyright (c) 2007 ZacWare 

Released under the GNU General Public License 
*/

// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();

  //added for manual order entry module
  define('FILENAME_ADMIN', 'admin.php');
  define('FILENAME_ADMIN_LOGIN', 'admin_login.php');
  define('FILENAME_ADMIN_CREATE_ACCOUNT', 'admin_create_account.php');
  define('FILENAME_ADMIN_LIST_PRODUCTS', 'admin_list_products.php');
  // define the content used in the project
  define('CONTENT_ACCOUNT', 'account');
  define('CONTENT_ACCOUNT_EDIT', 'account_edit');
  define('CONTENT_ACCOUNT_HISTORY', 'account_history');
  define('CONTENT_ACCOUNT_HISTORY_INFO', 'account_history_info');
  define('CONTENT_ACCOUNT_NEWSLETTERS', 'account_newsletters');
  define('CONTENT_ACCOUNT_NOTIFICATIONS', 'account_notifications');
  define('CONTENT_ACCOUNT_PASSWORD', 'account_password');
  define('CONTENT_ADDRESS_BOOK', 'address_book');
  define('CONTENT_ADDRESS_BOOK_PROCESS', 'address_book_process');
  define('CONTENT_ADVANCED_SEARCH', 'advanced_search');
  define('CONTENT_ADVANCED_SEARCH_RESULT', 'advanced_search_result');
  define('CONTENT_ALSO_PURCHASED_PRODUCTS', 'also_purchased_products');
  define('CONTENT_CHECKOUT_CONFIRMATION', 'checkout_confirmation');
  define('CONTENT_CHECKOUT_PAYMENT', 'checkout_payment');
  define('CONTENT_CHECKOUT_PAYMENT_ADDRESS', 'checkout_payment_address');
  define('CONTENT_CHECKOUT_SHIPPING', 'checkout_shipping');
  define('CONTENT_CHECKOUT_SHIPPING_ADDRESS', 'checkout_shipping_address');
  define('CONTENT_CHECKOUT_SUCCESS', 'checkout_success');
  define('CONTENT_CONTACT_US', 'contact_us'); 
  define('CONTENT_CMS_CONTACT_US', 'cms_contact_us');
  define('CONTENT_CONDITIONS', 'conditions');
  define('CONTENT_COOKIE_USAGE', 'cookie_usage');
  define('CONTENT_CREATE_ACCOUNT', 'create_account');
  define('CONTENT_CREATE_ACCOUNT_SUCCESS', 'create_account_success');
  define('CONTENT_INDEX_DEFAULT', 'index_default');
  define('CONTENT_INDEX_NESTED', 'index_nested');
  define('CONTENT_INDEX_PRODUCTS', 'index_products');
  define('CONTENT_INFO_SHOPPING_CART', 'info_shopping_cart');
  define('CONTENT_LOGIN', 'login');
  define('CONTENT_LOGOFF', 'logoff');
  define('CONTENT_NEW_PRODUCTS', 'new_products');
  define('CONTENT_PASSWORD_FORGOTTEN', 'password_forgotten');
  define('CONTENT_POPUP_IMAGE', 'popup_image');
  define('CONTENT_POPUP_SEARCH_HELP', 'popup_search_help');
  define('CONTENT_PRIVACY', 'privacy');
  define('CONTENT_PRODUCT_INFO', 'product_info');
  define('CONTENT_PRODUCT_LISTING', 'product_listing');
  define('CONTENT_PRODUCT_REVIEWS', 'product_reviews');
  define('CONTENT_PRODUCT_REVIEWS_INFO', 'product_reviews_info');
  define('CONTENT_PRODUCT_REVIEWS_WRITE', 'product_reviews_write');
  define('CONTENT_PRODUCTS_NEW', 'products_new');
  define('CONTENT_REVIEWS', 'reviews');
  define('CONTENT_SHIPPING', 'shipping');
  define('CONTENT_SHOPPING_CART', 'shopping_cart');
  define('CONTENT_SPECIALS', 'specials');
  define('CONTENT_SSL_CHECK', 'ssl_check');
  define('CONTENT_TELL_A_FRIEND', 'tell_a_friend');
  define('CONTENT_UPCOMING_PRODUCTS', 'upcoming_products');
  define('CONTENT_CHECKOUT_PROCESS', 'checkout_process');
  define('CONTENT_AFFILIATE_TERMS','affiliate_terms');
  define('CONTENT_INFORMATION_PAGE','information');
// Lango added for GV FAQ: BOF
  define('CONTENT_GV_FAQ', 'gv_faq');
  define('CONTENT_GV_REDEEM', 'gv_redeem');
  define('CONTENT_GV_SEND', 'gv_send');
// Lango added for GV FAQ: EOF

// Lango added for Affiliate Mod: BOF
  define('CONTENT_AFFILIATE', 'affiliate_affiliate');
  define('CONTENT_AFFILIATE_SIGNUP', 'affiliate_signup');
  define('CONTENT_AFFILIATE_BANNERS', 'affiliate_banners');
  define('CONTENT_AFFILIATE_SUMMARY', 'affiliate_summary');
  define('CONTENT_AFFILIATE_DETAILS', 'affiliate_details');
  define('CONTENT_AFFILIATE_CLICKS', 'affiliate_clicks');
  define('CONTENT_AFFILIATE_CONTACT', 'affiliate_contact');
  define('CONTENT_AFFILIATE_PAYMENT', 'affiliate_payment');
  define('CONTENT_AFFILIATE_FAQ', 'affiliate_faq');
  define('CONTENT_AFFILIATE_INFO', 'affiliate_info');
  define('CONTENT_AFFILIATE_LOGOUT', 'affiliate_logout');
  define('CONTENT_AFFILIATE_PASSWORD_FORGOTTEN', 'affiliate_password_forgotten');
// Lango added for Affiliate Mod: EOF



// Lango added for Contractor Mod: BOF
  define('CONTENT_CONTRACTOR', 'contractor_contractor');
  define('CONTENT_CONTRACTOR_SIGNUP', 'contractor_signup');
  define('CONTENT_CONTRACTOR_LOGOUT', 'contractor_logout');
  define('CONTENT_CONTRACTOR_PASSWORD_FORGOTTEN', 'contractor_password_forgotten');
  define('CONTENT_CONTRACTOR_SUMMARY', 'contractor_summary');
// Lango added for Affiliate Mod: EOF



// Lango Added for Down for Maintainance Mod: BOF
  define('CONTENT_DOWN_FOR_MAINTAINANCE', 'down_for_maintenance');
// Lango Added for Down for Maintainance Mod: EOF

// Lango added forALL_PRODS: BOF
  define('CONTENT_ALL_PRODS', 'allprods');
// Lango added forALL_PRODS: EOF

// Lango added for osC-PrintOrder v1.0: BOF
  define('CONTENT_ORDERS_PRINTABLE', 'printorder');
// Lango added for osC-PrintOrder v1.0: EOF

// Lango added for Featured products: BOF
  define('CONTENT_FEATURED', 'featured');
  define('CONTENT_FEATURED_PRODUCTS', 'featured_products');
// Lango added for Featured products: EOF

// Lango Added for shop by price Mod: BOF
  define('CONTENT_SHOP_BY_PRICE', 'shop_by_price');
// Lango Added for shop by price Mod: EOF

// Lango Added for WishList Mod: BOF
  define('CONTENT_WISHLIST_SEND', 'wishlist_email');
  define('CONTENT_WISHLIST_HELP', 'wishlist_help');
  define('CONTENT_WISHLIST', 'wishlist');

// Lango Added for WishList Mod: EOF
  
  
  define('FILENAME_FEATURED', 'featured.php');
  define('FILENAME_FEATURED_PRODUCTS', 'featured_products.php'); // This is the featured products page

// define the filenames used in the project
  define('FILENAME_ACCOUNT', CONTENT_ACCOUNT . '.php');
  define('FILENAME_ACCOUNT_EDIT', CONTENT_ACCOUNT_EDIT . '.php');
  define('FILENAME_ACCOUNT_HISTORY', CONTENT_ACCOUNT_HISTORY . '.php');
  define('FILENAME_ACCOUNT_HISTORY_INFO', CONTENT_ACCOUNT_HISTORY_INFO . '.php');
  define('FILENAME_ACCOUNT_NEWSLETTERS', CONTENT_ACCOUNT_NEWSLETTERS . '.php');
  define('FILENAME_ACCOUNT_NOTIFICATIONS', CONTENT_ACCOUNT_NOTIFICATIONS . '.php');
  define('FILENAME_ACCOUNT_PASSWORD', CONTENT_ACCOUNT_PASSWORD . '.php');

  define('FILENAME_ADDRESS_BOOK', CONTENT_ADDRESS_BOOK . '.php');
  define('FILENAME_ADDRESS_BOOK_PROCESS', CONTENT_ADDRESS_BOOK_PROCESS . '.php');
  define('FILENAME_ADVANCED_SEARCH', CONTENT_ADVANCED_SEARCH . '.php');
  define('FILENAME_ADVANCED_SEARCH_RESULT', CONTENT_ADVANCED_SEARCH_RESULT . '.php');
  define('FILENAME_ALSO_PURCHASED_PRODUCTS', CONTENT_ALSO_PURCHASED_PRODUCTS . '.php');
  define('FILENAME_CHECKOUT_CONFIRMATION', CONTENT_CHECKOUT_CONFIRMATION . '.php');
  define('FILENAME_CHECKOUT_PAYMENT', CONTENT_CHECKOUT_PAYMENT . '.php');
  define('FILENAME_CHECKOUT_PAYMENT_ADDRESS', CONTENT_CHECKOUT_PAYMENT_ADDRESS . '.php');
  define('FILENAME_CHECKOUT_PROCESS', CONTENT_CHECKOUT_PROCESS . '.php');
  define('FILENAME_CHECKOUT_SHIPPING', CONTENT_CHECKOUT_SHIPPING . '.php');
  define('FILENAME_CHECKOUT_SHIPPING_ADDRESS', CONTENT_CHECKOUT_SHIPPING_ADDRESS . '.php');
  define('FILENAME_CHECKOUT_SUCCESS', CONTENT_CHECKOUT_SUCCESS . '.php');
  define('FILENAME_CONTACT_US', CONTENT_CONTACT_US . '.php');
  define('FILENAME_CMS_CONTACT_US', CONTENT_CMS_CONTACT_US . '.php');
  define('FILENAME_CONDITIONS', CONTENT_CONDITIONS . '.php');
  define('FILENAME_COOKIE_USAGE', CONTENT_COOKIE_USAGE . '.php');
  define('FILENAME_CREATE_ACCOUNT', CONTENT_CREATE_ACCOUNT . '.php');
  define('FILENAME_CREATE_ACCOUNT_SUCCESS', CONTENT_CREATE_ACCOUNT_SUCCESS . '.php');
  define('FILENAME_DEFAULT', 'index.php');
  define('FILENAME_DEFAULT_SPECIALS', 'default_specials.php');
  define('CONTENT_DOWNLOAD','download');
  define('FILENAME_DOWNLOAD', CONTENT_DOWNLOAD . '.php');
  define('FILENAME_INFO_SHOPPING_CART', CONTENT_INFO_SHOPPING_CART . '.php');
  define('FILENAME_LOGIN', CONTENT_LOGIN . '.php');
  define('FILENAME_AUTOLOGIN', 'autologin.php');
  define('FILENAME_LOGOFF', CONTENT_LOGOFF . '.php');
  define('FILENAME_NEW_PRODUCTS', CONTENT_NEW_PRODUCTS . '.php');
  define('FILENAME_PASSWORD_FORGOTTEN', CONTENT_PASSWORD_FORGOTTEN . '.php');
  define('FILENAME_POPUP_IMAGE', CONTENT_POPUP_IMAGE . '.php');
  define('FILENAME_POPUP_SEARCH_HELP', CONTENT_POPUP_SEARCH_HELP . '.php');
  define('FILENAME_PRIVACY', CONTENT_PRIVACY . '.php');
  define('FILENAME_PRODUCT_INFO', CONTENT_PRODUCT_INFO . '.php');
  define('FILENAME_PRODUCT_LISTING', CONTENT_PRODUCT_LISTING . '.php');
  define('FILENAME_PRODUCT_REVIEWS', CONTENT_PRODUCT_REVIEWS . '.php');
  define('FILENAME_PRODUCT_REVIEWS_INFO', CONTENT_PRODUCT_REVIEWS_INFO . '.php');
  define('FILENAME_PRODUCT_REVIEWS_WRITE', CONTENT_PRODUCT_REVIEWS_WRITE . '.php');
  define('FILENAME_PRODUCTS_NEW', CONTENT_PRODUCTS_NEW . '.php');
  define('FILENAME_REDIRECT', 'redirect.php');
  define('FILENAME_REVIEWS', CONTENT_REVIEWS . '.php');
  define('FILENAME_SHIPPING', CONTENT_SHIPPING . '.php');
  define('FILENAME_SHOPPING_CART', CONTENT_SHOPPING_CART . '.php');
  define('FILENAME_SPECIALS', CONTENT_SPECIALS . '.php');
  define('FILENAME_SSL_CHECK', CONTENT_SSL_CHECK . '.php');
  define('FILENAME_TELL_A_FRIEND', CONTENT_TELL_A_FRIEND . '.php');
  define('FILENAME_UPCOMING_PRODUCTS', CONTENT_UPCOMING_PRODUCTS . '.php');
  define('FILENAME_CHECKOUT_PAYPALIPN', 'checkout_paypalipn.php'); // PAYPALIPN
  define('FILENAME_INFORMATION_PAGE', CONTENT_INFORMATION_PAGE . '.php');
  define('FILENAME_AFFILIATE_PASSWORD_FORGOTTEN',CONTENT_AFFILIATE_PASSWORD_FORGOTTEN . '.php');
// Added for Xsell Products Mod
  define('FILENAME_XSELL_PRODUCTS', 'xsell_products_buynow.php');
  define('FILENAME_PRODUCT_LISTING_COL', 'product_listing_col.php');
  define('FILENAME_XSELL_PRODUCTS_BUYNOW', 'xsell_products_buynow.php');

//BEGIN allprods modification
define('FILENAME_ALLPRODS', 'allprods.php');
//END allprods modification
  define('FILENAME_DYNAMIC_MOPICS', 'dynamic_mopics.php');

// Lango Added for GV_FAQ: BOF
  define('FILENAME_GV_FAQ', CONTENT_GV_FAQ . '.php');
// Lango Added for GV_FAQ: BOF

// MaxiDVD Added Line For WYSIWYG HTML Area: BOF
  define('FILENAME_DEFINE_MAINPAGE', 'mainpage.php');
// MaxiDVD Added Line For WYSIWYG HTML Area: EOF


// Lango added for Affiliate Mod: BOF
  define('FILENAME_AFFILIATE', CONTENT_AFFILIATE . '.php');
  define('FILENAME_AFFILIATE_SIGNUP', CONTENT_AFFILIATE_SIGNUP . '.php');
  define('FILENAME_AFFILIATE_BANNERS', CONTENT_AFFILIATE_BANNERS . '.php');
  define('FILENAME_AFFILIATE_SUMMARY', CONTENT_AFFILIATE_SUMMARY . '.php');
  define('FILENAME_AFFILIATE_DETAILS', CONTENT_AFFILIATE_DETAILS . '.php');
  define('FILENAME_AFFILIATE_CLICKS', CONTENT_AFFILIATE_CLICKS . '.php');
  define('FILENAME_AFFILIATE_CONTACT', CONTENT_AFFILIATE_CONTACT . '.php');
  define('FILENAME_AFFILIATE_PAYMENT', CONTENT_AFFILIATE_PAYMENT . '.php');
  define('FILENAME_AFFILIATE_FAQ', CONTENT_AFFILIATE_FAQ . '.php');
  define('FILENAME_AFFILIATE_INFO', CONTENT_AFFILIATE_INFO . '.php');
  define('FILENAME_AFFILIATE_LOGOUT', CONTENT_AFFILIATE_LOGOUT . '.php');
// Lango added for Affiliate Mod: BOF


// Lango added for Contractor Mod: BOF
  define('FILENAME_CONTRACTOR', CONTENT_CONTRACTOR . '.php');
  define('FILENAME_CONTRACTOR_SIGNUP', CONTENT_CONTRACTOR_SIGNUP . '.php');
  define('FILENAME_CONTRACTOR_LOGOUT', CONTENT_CONTRACTOR_LOGOUT . '.php');
  define('FILENAME_CONTRACTOR_SUMMARY', CONTENT_CONTRACTOR_SUMMARY . '.php');
  define('FILENAME_CONTRACTOR_PASSWORD_FORGOTTEN',CONTENT_CONTRACTOR_PASSWORD_FORGOTTEN . '.php');

// Lango added for Affiliate Mod: BOF


// Lango Added for ALL_PODS Mod: BOF
  define('FILENAME_ALL_PRODS', CONTENT_ALL_PRODS . '.php');
// Lango Added for ALL_PRODS Mod: EOF

// Lango Added for ALL_PODS Mod: BOF
  define('FILENAME_ORDERS_PRINTABLE', CONTENT_ORDERS_PRINTABLE . '.php');
// Lango Added for ALL_PRODS Mod: EOF

// Lango Added for Featured Products: BOF
  define('FILENAME_FEATURED', CONTENT_FEATURED . '.php');
  define('FILENAME_FEATURED_PRODUCTS', CONTENT_FEATURED_PRODUCTS . '.php');
// Lango Added for Featured Product: EOF

// Lango Added for ALL_PODS Mod: BOF
  define('FILENAME_POPUP_AFFILIATE_HELP', 'popup_affiliate_help.php');
// Lango Added for ALL_PRODS Mod: EOF

// Lango Added for shop by price Mod: BOF
  define('FILENAME_SHOP_BY_PRICE', CONTENT_SHOP_BY_PRICE . '.php');
// Lango Added for shop by price Mod: EOF


// Lango Added for WishList Mod: BOF
  define('FILENAME_WISHLIST_SEND', CONTENT_WISHLIST_SEND . '.php');
  define('FILENAME_WISHLIST_HELP', CONTENT_WISHLIST_HELP . '.php');
  define('FILENAME_WISHLIST', CONTENT_WISHLIST . '.php');
// Lango Added for WishList Mod: EOF
// define the templatenames used in the project
  define('TEMPLATENAME_BOX', 'box.tpl.php');  
  define('TEMPLATENAME_POPUP', 'popup.tpl.php');
  define('TEMPLATENAME_STATIC', 'static.tpl.php');
  define('TEMPLATENAME_MAIN_PAGE', 'main_page.tpl.php');
  require(DIR_WS_INCLUDES . "events_filenames.php");
  require(DIR_WS_INCLUDES . "services_filenames.php");
  if(file_exists(DIR_WS_INCLUDES . "contractor_filenames.php")) require(DIR_WS_INCLUDES . "contractor_filenames.php");
?>